# Configuration file

####################
# autodetect
#===================
# Autodetect items and blocks during game start-up.
####################

autodetect {
    # Autodetect blocks with the below prefixes in the ore dictionary, adding the ids to the axe list. [default: true]
    B:autodetect.blocks.axe.enable=true

    # List of prefixes to autodetect as blocks to be used with a axe.
    # Separate with ',' [default: 'log,treeLeaves'] 
    S:autodetect.blocks.axe.prefixes=log,treeLeaves

    # Autodetect blocks with the below prefixes in the ore dictionary, adding the ids to the crook list. [default: true]
    B:autodetect.blocks.crook.enable=true

    # List of prefixes to autodetect as blocks to be used with a crook.
    # Separate with ',' [default: 'treeLeaves'] 
    S:autodetect.blocks.crook.prefixes=treeLeaves

    # Autodetect blocks with the below prefixes in the ore dictionary, adding the ids to the hammer list. [default: false]
    B:autodetect.blocks.hammer.enable=false

    # List of prefixes to autodetect as blocks to be used with a hammer.
    # Separate with ',' [default: ''] 
    S:autodetect.blocks.hammer.prefixes=

    # Autodetect blocks with the below prefixes in the ore dictionary, adding the ids to the hoe list. [default: false]
    B:autodetect.blocks.hoe.enable=false

    # List of prefixes to autodetect as blocks to be used with a hoe.
    # Separate with ',' [default: ''] 
    S:autodetect.blocks.hoe.prefixes=

    # Autodetect blocks with the below prefixes in the ore dictionary, adding the ids to the pickaxe list. [default: true]
    B:autodetect.blocks.pickaxe.enable=true

    # List of prefixes to autodetect as blocks to be used with a pickaxe.
    # Separate with ',' [default: 'ore'] 
    S:autodetect.blocks.pickaxe.prefixes=ore

    # Autodetect blocks with the below prefixes in the ore dictionary, adding the ids to the shears list. [default: true]
    B:autodetect.blocks.shears.enable=true

    # List of prefixes to autodetect as blocks to be used with a shears.
    # Separate with ',' [default: 'treeLeaves'] 
    S:autodetect.blocks.shears.prefixes=treeLeaves

    # Autodetect blocks with the below prefixes in the ore dictionary, adding the ids to the shovel list. [default: false]
    B:autodetect.blocks.shovel.enable=false

    # List of prefixes to autodetect as blocks to be used with a shovel.
    # Separate with ',' [default: ''] 
    S:autodetect.blocks.shovel.prefixes=

    # Autodetect tools on starting the game, adding the ids to the list.
    B:autodetect.tools.enable=true
}


####################
# blocklist
#===================
# IDs of blocks to auto-mine. Separate ids with ',' and metadata from ID with ':'.
####################

blocklist {
    # Block ids to auto-mine when using a configured axe. [default: '17,18']
    S:blockList.axe=17,18,2405:0,2405:1,783:0,2163,2176,2164,2177,1904:0,1905:0

    # Block ids to auto-mine when using a configured crook. [default: '18,1905,3002,3123,3240,3258,3259,3272,3278']
    S:blockList.crook=18,1905,3002,3123,3240,3258,3259,3272,3278,2164,2177

    # Block ids to auto-mine when using a configured hammer. [default: '1,2,3,4,12,13,3004,3005,3009,3010,3011,3012,3013,3014,3015,4095']
    S:blockList.hammer=1,2,3,4,12,13,3004,3005,3009,3010,3011,3012,3013,3014,3015,4095

    # Block ids to auto-mine when using a configured hoe. [default: '59,86,103,141,142']
    S:blockList.hoe=59,86,103,141,142

    # Block ids to auto-mine when using a configured pickaxe. [default: '1,4,14,15,16,21,24,48,56,73,74,89,129,153']
    S:blockList.pickaxe=1,4,14,15,16,21,24,48,56,73,74,89,129,153,764:0,764:2,764:3,4073:8,2081:1,2080:5,4073:5,764:1,2403:4,2403:5,2403:7,2403:2,2080:1,4073:3,2081:2,4073:6,2081:5,2080:4,4073:4,2081:4,2080:3,4073:1,2403:0,4073:7,2403:3,2403:6,2403:1,2081:3,2080:2,4073:0,2080:0,4073:2,764:4,1031:0,1031:1,1031:2

    # Block ids to auto-mine when using a configured shears. [default: '18,30,31,32,35,106']
    S:blockList.shears=18,30,31,32,35,106,2164,2177,1905:0

    # Block ids to auto-mine when using a configured shovel. [default: '82']
    S:blockList.shovel=82
}


####################
# client
#===================
# These settings are used client side, so they have no impact on servers.
####################

client {
    # What mode should the client use when joining a game.
    # Valid modes: [default: auto
    #   'auto' = enables on press of keybind
    #   'sneak' = enables on sneaking
    #   'no_sneak' = disables on sneaking
    S:client.preferredMode=auto
}


####################
# itemlist
#===================
# Tools to use to auto-mine with. Separate ids with ',' and metadata from ID with ':'.
####################

itemlist {
    # Item ids to use as a axe. [default '258,271,275,279,286,4365,6279,10264,20272,12681,12685,12689,12693,12697,14309']
    S:itemList.axe=12697,275,279,12689,10264,12693,286,258,12681,12685,14309,20272,271,4365,6279

    # Item ids to use as a crook. [default '9263']
    S:itemList.crook=9263

    # Item ids to use as a hammer. [default '9256,9257,9258,9259,9260']
    S:itemList.hammer=9256,9257,9258,9259,9260

    # Item ids to use as a hoe. [default '290,291,292,293,294,4366,4445,12365,20273']
    S:itemList.hoe=290,291,292,293,294,20273,12365,4445,4366

    # Item ids to use as a pickaxe. [default '257,270,274,278,285,4368,6274,10263,12679,12683,12687,12691,12695,14307,20271']
    S:itemList.pickaxe=274,4368,10263,278,20271,12691,12695,285,14307,257,12683,12687,6274,270,12679

    # Item ids to use as a shears. [default '359,6282,20274']
    S:itemList.shears=6282,359,20274

    # Item ids to use as a shovel. [default '2,3,256,269,273,277,284,4367,6277,10262,12680,12684,12688,12692,12696,14308,20270']
    S:itemList.shovel=12696,2,273,3,10262,20270,277,12688,12692,284,12680,256,12684,14308,4367,6277,269
}


####################
# limit
####################

limit {
    # Limit of blocks to be destroyed at once. Use -1 for infinite. [range: -1 to 2147483647, default: '800']
    I:limit.blocks=800

    # Maximum number of blocks to be removed per game tick (1/20 seconds). Using a low number will keep the game from getting huge performance drops but also decreases the speed at which blocks are destroyed. [range: 1 ~ 1000, default: 10]
    I:limit.blocksPerTick=10

    # Maximum distance from the first block to search for blocks to destroy. [range: -1 to 1000, default: '20]
    I:limit.radius=20
}


####################
# misc
####################

misc {
    # Block IDs (with metadata) to consider equivalent.
    # Separate block IDs from metadata with ':'. Separate blocks with '='. Separate groups with ','
    # [default: '73:0=74:0,17:0=17:4=17:8,17:1=17:5=17:9,17:2=17:6=17:10,17:3=17:7=17:11']
    S:equalBlocks=74:0=73:0,17:0=17:4=17:8,17:1=17:5=17:9,17:2=17:6=17:10,17:3=17:7=17:11
}


####################
# overrides
####################

overrides {
    # Mine all blocks with all registered tools that can harvest blocks.
    B:override.allBlocks=false

    # Allow all tools, including the open hand, to be used to mine blocks.
    B:override.allTools=false
}


